Subject: [bug#28093] [PATCH] gnu: cgit: Don't build cgit's special 'git:src' input.

From: Marius Bakke <[email-masked]>
Date: Tue, 15 Aug 2017 22:15:38 +0200

Leo Famulari <[email-masked]> writes:

> On Tue, Aug 15, 2017 at 07:35:31AM +0100, Christopher Baines wrote:
>> On Mon, 14 Aug 2017 23:31:37 -0400
>> Leo Famulari <[email-masked]> wrote:
>> 
>> > * gnu/packages/version-control.scm (cgit)[inputs]: Replace the
>> > [email-masked] package with an origin reference of the source code.
>> > ([email-masked]): Remove variable.
>> 
>> It would be useful if outside of the changelog, but in the commit
>> message, you could put why you are making the change. As far as I can
>> tell, this won't change the cgit package, so I'm guessing the intent is
>> to neaten up the code?
>
> Recently we started running the test suite of the "main" git package.
>
> That caused the build of this package to fail, which also made cgit
> fail to build, and that was annoying.

cgit was not affected by the failing [email-masked] package since it only uses
the *source* derivation.  It does not care about what's going on in
git's [arguments]. :-)

So this patch won't change anything from cgits perspective.  I'm
slightly in favor of keeping [email-masked] until it's really uneeded (awkward
if we have to add it back later), but no strong opinion either way.

I would probably have done this instead of disabling tests if I had
thought about it.